# Mario & Luigi: Brothership 1.0.0
# BID: 59874C9B530095AC

unsafeCheck: true

ALL_FPS:
 # r.VSync
  -
    type: write
    address: [MAIN, 0x651F708, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 2 decimals
  -
    type: evaluate_write
    address: [MAIN, 0x6CEC8C8, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x6D1A498, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing